Skip to main content
`Ctrl`+`K`

# STApplyTranspose

Applies the transpose of the operator to a vector, for instance \(y = B^T(A - \sigma B)^{-T} x\) in the case of the shift-and-invert transformation and generalized eigenproblem.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STApplyTranspose(ST st,Vec x,Vec y)

Collective

## Input Parameters

- st - the spectral transformation context

- x - input vector

## Output Parameter

- y - output vector

## See Also

ST: Spectral Transformation, `STApply()`, `STApplyHermitianTranspose()`

## Level

developer

## Location

src/sys/classes/st/interface/stsolve.c

## Implementations

STApplyTranspose_Shell() in src/sys/classes/st/impls/shell/shell.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages